#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>
#define ASCII 1
#include "utils.h"

int main(int argc, char **argv) {
    int which=0;
    char path[256];
    
    if (argv[1])
    {
        which = atoi(argv[1]);
    }
    sprintf(path,"/dev/ttyUSB%d", which);
    
    if ( (setgid(0)<0) )
    {
        err_msg(_("Error in setgid"));
        return -1;
    }
    
	if ( (setuid(0)<0) )
	{
	    err_msg("_(Error calling setuid)");
	    return -1;
	}
	
	if ( (chmod(path,0777 )<0) )
	{
	    err_msg(_("Error changing mode to %s"),path);
	    return -1;
	}
	
	return 0;
}
