Name:           alibava
Version:        0.6.0
Release:        2
Summary:        Development files for %{name}
License:        GPL
Group: 	        Applications/Engineering
URL:            http://alibavasystems.com
Source0:        alibava-%{version}-%{release}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel glib2-devel libglade2-devel
Requires:       gtk2 glib2 libglade2

%description


Alibava DAQ


%prep
%setup -q  -n %{name}-%{version}-%{release}


%build
%configure --disable-static
make %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post 
/sbin/ldconfig
/usr/sbin/groupadd -f alibava
cat > /etc/udev/rules.d/90-alibava.rules << EOF
SUBSYSTEM=="tty", KERNEL=="ttyUSB[0-9]*", MODE="0660", GROUP="alibava", SYMLINK+="alibava%n", ATTRS{idVendor}=="0403", ATTRS{idProduct}=="6001"
EOF

%postun 
/sbin/ldconfig
rm -f /etc/udev/rules.d/90-alibava.rules


%files
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README COPYING
%{_bindir}/*
%{_libdir}/*.so*
%{_datadir}/locale/*
%{_datadir}/doc/*
%{_datadir}/alibava/help/*
%{_datadir}/alibava/glade/*
%{_libdir}/pkgconfig/alibava.pc
%{_includedir}/*



%changelog
