const char alibava_wsdl[] = {
"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>\n" \
"<wsdl:definitions xmlns:soap=\"http://schemas.xmlsoap.org/wsdl/soap/\" xmlns:tns=\"http://alibavasystems.com/alibava/\" xmlns:wsdl=\"http://schemas.xmlsoap.org/wsdl/\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" name=\"alibava\" targetNamespace=\"http://alibavasystems.com/alibava/\">\n" \
"<wsdl:types><xsd:schema xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" targetNamespace=\"http://alibavasystems.com/alibava/\">\n" \
"<xsd:complexType name=\"Status\">\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"state\" type=\"xsd:int\"></xsd:element>\n" \
"<xsd:element name=\"time\" type=\"xsd:time\"></xsd:element>\n" \
"<xsd:element name=\"nexpected\" type=\"xsd:int\"></xsd:element>\n" \
"<xsd:element name=\"ntrigger\" type=\"xsd:int\"></xsd:element>\n" \
"<xsd:element name=\"rate\" type=\"xsd:double\"></xsd:element>\n" \
"<xsd:element name=\"run_type\" type=\"tns:RunType\"></xsd:element>\n" \
"<xsd:element name=\"value\" type=\"xsd:double\"></xsd:element>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"<xsd:simpleType name=\"RunType\">\n" \
"<xsd:restriction base=\"xsd:string\">\n" \
"<xsd:enumeration value=\"Pedestal\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"RadioactiveSource\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"Laser\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"LaserScan\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"Calibration\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"ChargeScan\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"None\"></xsd:enumeration>\n" \
"</xsd:restriction>\n" \
"</xsd:simpleType>\n" \
"<xsd:complexType name=\"DAQParam\">\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"runType\" type=\"xsd:int\"></xsd:element>\n" \
"<xsd:element name=\"numEvents\" type=\"xsd:int\"></xsd:element>\n" \
"<xsd:element name=\"sampleSize\" type=\"xsd:int\"></xsd:element>\n" \
"<xsd:element name=\"nbin\" type=\"xsd:int\"></xsd:element>\n" \
"<xsd:element name=\"xmin\" type=\"xsd:double\"></xsd:element>\n" \
"<xsd:element name=\"xmax\" type=\"xsd:double\"></xsd:element>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"<xsd:complexType name=\"ParValue\">\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"name\" type=\"xsd:string\"></xsd:element>\n" \
"<xsd:element name=\"value\" type=\"xsd:string\"></xsd:element>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"<xsd:complexType name=\"DAQConfig\">\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"delay\" type=\"xsd:int\"></xsd:element>\n" \
"<xsd:element name=\"channel\" type=\"xsd:int\"></xsd:element>\n" \
"<xsd:element name=\"busy\" type=\"xsd:int\"></xsd:element>\n" \
"<xsd:element name=\"pulseShape\" type=\"xsd:int\"></xsd:element>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"</xsd:schema></wsdl:types>\n" \
"<wsdl:message name=\"getStatusRequest\">\n" \
"<wsdl:part name=\"getStatusRequest\" type=\"xsd:int\"/>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getStatusResponse\">\n" \
"<wsdl:part name=\"status\" type=\"tns:Status\"/>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getMonitorDataRequest\">\n" \
"<wsdl:part name=\"getMonitorDataRequest\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getMonitorDataResponse\">\n" \
"<wsdl:part name=\"getMonitorDataResponse\" type=\"xsd:base64Binary\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getEventDataRequest\">\n" \
"<wsdl:part name=\"getEventDataRequest\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getEventDataResponse\">\n" \
"<wsdl:part name=\"getEventDataResponse\" type=\"xsd:base64Binary\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getEventHeadersRequest\">\n" \
"<wsdl:part name=\"getEventHeadersRequest\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getEventHeadersResponse\">\n" \
"<wsdl:part name=\"getEventHeadersResponse\" type=\"xsd:base64Binary\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"startRunRequest\">\n" \
"<wsdl:part name=\"daqParam\" type=\"tns:DAQParam\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"startRunResponse\">\n" \
"<wsdl:part name=\"startRunResponse\" type=\"xsd:base64Binary\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"stopRunRequest\">\n" \
"<wsdl:part name=\"stopRunRequest\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"stopRunResponse\">\n" \
"<wsdl:part name=\"stopRunResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getRunDataRequest\">\n" \
"<wsdl:part name=\"getRunDataParam\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getRunDataResponse\">\n" \
"<wsdl:part name=\"getRunDataResponse\" type=\"xsd:base64Binary\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"setDataFileRequest\">\n" \
"<wsdl:part name=\"dataFile\" type=\"xsd:string\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"setDataFileResponse\">\n" \
"<wsdl:part name=\"setDataFileResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"setParameterRequest\">\n" \
"<wsdl:part name=\"parValue\" type=\"tns:ParValue\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"setParameterResponse\">\n" \
"<wsdl:part name=\"setParameterResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"startRunAsyncRequest\">\n" \
"<wsdl:part name=\"daqParam\" type=\"tns:DAQParam\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"startRunAsyncResponse\">\n" \
"<wsdl:part name=\"startRunAsyncResponse\" type=\"xsd:string\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"ResetRequest\">\n" \
"<wsdl:part name=\"resetParam\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"ResetResponse\">\n" \
"<wsdl:part name=\"resetResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getMaskRequest\">\n" \
"<wsdl:part name=\"getMaskRequest\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getMaskResponse\">\n" \
"<wsdl:part name=\"getMaskResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getHistogramRequest\">\n" \
"<wsdl:part name=\"parValue\" type=\"tns:ParValue\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getHistogramResponse\">\n" \
"<wsdl:part name=\"getHistogramResponse\" type=\"xsd:base64Binary\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getTriggerCounterRequest\">\n" \
"<wsdl:part name=\"getTriggerCounterRequest\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getTriggerCounterResponse\">\n" \
"<wsdl:part name=\"getTriggerCounterResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"setDAQConfigRequest\">\n" \
"<wsdl:part name=\"daqConfig\" type=\"tns:DAQConfig\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"setDAQConfigResponse\">\n" \
"<wsdl:part name=\"setDAQConfigResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:portType name=\"alibava\">\n" \
"<wsdl:operation name=\"getStatus\">\n" \
"<wsdl:input message=\"tns:getStatusRequest\"/>\n" \
"<wsdl:output message=\"tns:getStatusResponse\"/>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getMonitorData\">\n" \
"<wsdl:input message=\"tns:getMonitorDataRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:getMonitorDataResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getEventData\">\n" \
"<wsdl:input message=\"tns:getEventDataRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:getEventDataResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getEventHeaders\">\n" \
"<wsdl:input message=\"tns:getEventHeadersRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:getEventHeadersResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"startRun\">\n" \
"<wsdl:input message=\"tns:startRunRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:startRunResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"stopRun\">\n" \
"<wsdl:input message=\"tns:stopRunRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:stopRunResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getRunData\">\n" \
"<wsdl:input message=\"tns:getRunDataRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:getRunDataResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"setDataFile\">\n" \
"<wsdl:input message=\"tns:setDataFileRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:setDataFileResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"setParameter\">\n" \
"<wsdl:input message=\"tns:setParameterRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:setParameterResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"startRunAsync\">\n" \
"<wsdl:input message=\"tns:startRunAsyncRequest\"></wsdl:input>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"Reset\">\n" \
"<wsdl:input message=\"tns:ResetRequest\"></wsdl:input>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getMask\">\n" \
"<wsdl:input message=\"tns:getMaskRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:getMaskResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getHistogram\">\n" \
"<wsdl:input message=\"tns:getHistogramRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:getHistogramResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getTriggerCounter\">\n" \
"<wsdl:input message=\"tns:getTriggerCounterRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:getTriggerCounterResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"setDAQConfig\">\n" \
"<wsdl:input message=\"tns:setDAQConfigRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:setDAQConfigResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"</wsdl:portType>\n" \
"<wsdl:binding name=\"alibavaSOAP\" type=\"tns:alibava\">\n" \
"<soap:binding style=\"rpc\"\n" \
"transport=\"http://schemas.xmlsoap.org/soap/http\" />\n" \
"<wsdl:operation name=\"getStatus\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/getStatus\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getMonitorData\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/getMonitorData\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getEventData\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/getEventData\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getEventHeaders\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/getEventHeaders\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"startRun\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/startRun\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"stopRun\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/stopRun\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getRunData\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/getRunData\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"setDataFile\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/setDataFile\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"setParameter\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/setParameter\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"startRunAsync\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/startRunAsync\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"Reset\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/Reset\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getMask\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/getMask\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getHistogram\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/getHistogram\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getTriggerCounter\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/getTriggerCounter\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"setDAQConfig\">\n" \
"<soap:operation\n" \
"soapAction=\"http://alibavasystems.com/alibava/setDAQConfig\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"literal\"\n" \
"namespace=\"http://alibavasystems.com/alibava/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"</wsdl:binding>\n" \
"<wsdl:service name=\"alibava\">\n" \
"<wsdl:port binding=\"tns:alibavaSOAP\" name=\"alibavaSOAP\">\n" \
"<soap:address location=\"http://alibavasystems.com\"/>\n" \
"</wsdl:port>\n" \
"</wsdl:service>\n" \
"</wsdl:definitions>\n" \
};
