/*
 * rootlogon.C
 *
 *  Created on: May 31, 2010
 *      Author: lacasta
 */

#include <iostream>
#define DYNPATH "/workspace/alibava/build/install-dir/lib"
#define INCPATH "/workspace/alibava/build/install-dir/include/alibava/root"

void SLload(char *lnam)
{
   if ( gSystem->Load(lnam) )
      cout << ":> " << lnam << " NOT loaded " << endl;
   else
      cout << ":> " << lnam << " loaded " << endl;

}
void LoadMacro(char *lnam)
{
   cout << ":> Loading " << lnam << endl;
   gROOT->LoadMacro(lnam);

}

void rootlogon()
{
    TString home = getenv("HOME");
    TString ss = gSystem->GetDynamicPath();
    gSystem->SetDynamicPath(ss+":"+home+DYNPATH);
    gInterpreter->AddIncludePath(home+INCPATH);
    std::cout << "============================================================" << std::endl;
    SLload("libAlibavaRoot.so");
    LoadMacro("analyze_plugin_data.C+");
    LoadMacro("scurves.C+");
    std::cout << "============================================================" << std::endl;

    gROOT->SetStyle("Plain");
    gStyle->SetPalette(1);
    init_landau();
}
